aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rw-r--r--tests/openmsp430/.gitignore3
-rwxr-xr-x[-rw-r--r--]tests/openmsp430/run-synth.sh0
-rwxr-xr-xtests/simple/run-test.sh7
3 files changed, 10 insertions, 0 deletions
diff --git a/tests/openmsp430/.gitignore b/tests/openmsp430/.gitignore
new file mode 100644
index 000000000..eaf13a592
--- /dev/null
+++ b/tests/openmsp430/.gitignore
@@ -0,0 +1,3 @@
+fsm_info.txt
+synth.v
+synth.log
diff --git a/tests/openmsp430/run-synth.sh b/tests/openmsp430/run-synth.sh
index e4d6bc720..e4d6bc720 100644..100755
--- a/tests/openmsp430/run-synth.sh
+++ b/tests/openmsp430/run-synth.sh
diff --git a/tests/simple/run-test.sh b/tests/simple/run-test.sh
index bf27d15f8..eb6fd10ba 100755
--- a/tests/simple/run-test.sh
+++ b/tests/simple/run-test.sh
@@ -1,3 +1,10 @@
#!/bin/bash
+
+# check for Icarus Verilog
+if ! which iverilog > /dev/null ; then
+ echo "$0: Error: Icarus Verilog 'iverilog' not found."
+ exit 1
+fi
+
make -C ../.. || exit 1
exec bash ../tools/autotest.sh *.v